Get subscription
curl --request GET \
--url https://api.natural.com/subscriptions/{subscriptionId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.natural.com/subscriptions/{subscriptionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.natural.com/subscriptions/{subscriptionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.natural.com/subscriptions/{subscriptionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.natural.com/subscriptions/{subscriptionId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.natural.com/subscriptions/{subscriptionId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.natural.com/subscriptions/{subscriptionId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "sub_019d0a1b2c3d4e5f60718293a4b5c6f2",
"type": "subscription",
"attributes": {
"status": "active",
"terms": {
"description": "Pro membership, billed monthly.",
"every": {
"unit": "month",
"count": 1
},
"amount": 2900,
"taxAmount": 0,
"paymentCount": null
},
"currency": "USD",
"startDate": "2026-09-17",
"nextPayment": {
"paymentNumber": 2,
"dueDate": "2026-10-17",
"amount": 2900,
"taxAmount": 0
},
"attention": null,
"payUrl": null,
"clientSecret": null,
"expiresAt": null,
"createdAt": "2026-09-17T18:00:00.000Z",
"updatedAt": "2026-09-17T18:05:00.000Z",
"payerEmail": "jordan.lee@example.com"
},
"relationships": {
"paymentIntent": {
"data": {
"type": "paymentIntent",
"id": "pmi_019d0a1b2c3d4e5f60718293a4b5c6d7"
}
}
}
}
}Subscriptions
Get subscription
Get a subscription, its status and its next payment. Returns the Subscription object.
GET
/
subscriptions
/
{subscriptionId}
Get subscription
curl --request GET \
--url https://api.natural.com/subscriptions/{subscriptionId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.natural.com/subscriptions/{subscriptionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.natural.com/subscriptions/{subscriptionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.natural.com/subscriptions/{subscriptionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.natural.com/subscriptions/{subscriptionId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.natural.com/subscriptions/{subscriptionId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.natural.com/subscriptions/{subscriptionId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "sub_019d0a1b2c3d4e5f60718293a4b5c6f2",
"type": "subscription",
"attributes": {
"status": "active",
"terms": {
"description": "Pro membership, billed monthly.",
"every": {
"unit": "month",
"count": 1
},
"amount": 2900,
"taxAmount": 0,
"paymentCount": null
},
"currency": "USD",
"startDate": "2026-09-17",
"nextPayment": {
"paymentNumber": 2,
"dueDate": "2026-10-17",
"amount": 2900,
"taxAmount": 0
},
"attention": null,
"payUrl": null,
"clientSecret": null,
"expiresAt": null,
"createdAt": "2026-09-17T18:00:00.000Z",
"updatedAt": "2026-09-17T18:05:00.000Z",
"payerEmail": "jordan.lee@example.com"
},
"relationships": {
"paymentIntent": {
"data": {
"type": "paymentIntent",
"id": "pmi_019d0a1b2c3d4e5f60718293a4b5c6d7"
}
}
}
}
}Authorizations
Headers
Query Parameters
Was this page helpful?